<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/task_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/content_padding_10"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/item_title_iv"
            android:layout_width="@dimen/content_padding_20"
            android:layout_height="@dimen/content_padding_20"
            android:layout_marginStart="12dp"
            android:src="@mipmap/task_ing_icon" />

        <TextView
            android:id="@+id/item_title_tv"
            android:layout_width="match_parent"
            android:layout_height="@dimen/content_padding_20"
            android:layout_marginEnd="12dp"
            android:gravity="center_vertical"
            android:layout_marginStart="@dimen/content_padding_small"
            android:layout_toEndOf="@+id/item_title_iv"
            android:text="进行中"
            android:textColor="@color/black"
            android:textSize="15sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="33dp"
            android:background="@color/gray_F0F0F0" />
    </RelativeLayout>


    <android.support.constraint.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginEnd="12dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="@dimen/content_padding_10">

        <ImageView
            android:id="@+id/item_icon_iv"
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:src="@drawable/icon_lj"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <TextView
            android:id="@+id/end_of_time_tv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/content_padding_4"
            android:layout_marginStart="@dimen/content_padding_4"
            android:layout_marginTop="55dp"
            android:background="@drawable/shape_ash_stroke_white_solid_rectangle"
            android:gravity="center"
            android:lines="1"
            android:textColor="#989898"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/item_icon_iv"
            app:layout_constraintStart_toStartOf="@+id/item_icon_iv"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/item_money"
            android:layout_width="@dimen/find_bt_with"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:gravity="center"
            android:text="+10元"
            android:textColor="@color/txt_red"
            android:textSize="15sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/item_name_tv_ll"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="@dimen/content_padding"
            android:orientation="vertical"
            app:layout_constraintEnd_toStartOf="@+id/task_type_tv"
            app:layout_constraintStart_toEndOf="@+id/item_icon_iv">

            <TextView
                android:id="@+id/item_name_tv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="middle"
                android:gravity="start"
                android:maxLines="2"
                android:text=""
                android:textColor="#444444"
                android:textSize="14sp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="3" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/item_num_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text=""
                    android:textColor="#cc8e8e8e"
                    android:textSize="10sp" />

                <TextView
                    android:id="@+id/item_num_tv1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/content_padding"
                    android:text=""
                    android:textColor="#cc8e8e8e"
                    android:textSize="10sp"
                    android:visibility="gone" />
                <TextView
                    android:id="@+id/item_num_tv2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/content_padding"
                    android:text=""
                    android:textColor="#cc8e8e8e"
                    android:textSize="10sp"
                    android:visibility="gone" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <LinearLayout
                android:id="@+id/item_date_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/content_padding_8"
                android:layout_marginTop="@dimen/content_padding_2"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/item_date_tv"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:lines="1"
                    android:text=""
                    android:textColor="#cc8e8e8e"
                    android:textSize="10sp" />

                <ImageView
                    android:id="@+id/item_date_question_img"
                    android:layout_width="15dp"
                    android:layout_height="15dp"
                    android:src="@mipmap/task_game_qustion_icon"
                    android:visibility="gone"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/item_date_tv" />
            </LinearLayout>
        </LinearLayout>


        <TextView
            android:id="@+id/task_type_tv"
            style="@style/style_button_find"
            android:text="取消任务"
            android:visibility="invisible"
            android:layout_marginTop="5dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/detail_task_tv_center"
            style="@style/style_button_find"
            android:layout_centerInParent="true"
            android:text="取消任务"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/item_icon_iv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <RelativeLayout
            android:id="@+id/detail_task_layout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="5dp"
            app:layout_constraintBottom_toBottomOf="@+id/item_icon_iv"
            app:layout_constraintEnd_toEndOf="parent">

            <TextView
                android:id="@+id/detail_task_tv"
                style="@style/style_button_find"
                android:text="取消任务" />

            <TextView
                android:id="@+id/detail_task_tv_down"
                style="@style/style_button_find"
                android:text="取消任务"
                android:visibility="gone" />

        </RelativeLayout>
    </android.support.constraint.ConstraintLayout>

    <TextView
        android:id="@+id/countdown_tv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginEnd="12dp"
        android:layout_marginStart="12dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/sp_rectangle_bg_gray_radius"
        android:padding="@dimen/content_padding_small"
        android:text="若1小时35分22秒后任务未完成，该任务自动取消，您可以重新接受该任务"
        android:textColor="@color/txt_black_8e8e8e"
        android:textSize="@dimen/text_size_10"
        android:visibility="gone" />
    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/content_padding_10"/>
    <View
        android:id="@+id/line_tv"
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:layout_marginEnd="12dp"
        android:layout_marginStart="12dp"
        android:background="@color/gray_F0F0F0" />
</LinearLayout>
